- Aldebaran documentation |
- C++ Libraries |
- index

libqicore-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes | List of all members
qi::TaskCall< T > Class Template Reference

`#include <task-call.hpp>`

## Public Member Functions
| TaskCall (AnyFunction f)
virtual bool | interrupt ()
virtual void | start (const AnyVarArguments &args)
Public Member Functions inherited from qi::Task
| Task ()
virtual | ~Task ()

## Public Attributes
GenericProperty | result
AnyFunction | _f
Public Attributes inherited from qi::Task
Property< bool > | running
| RO, Indicates if the task is currently running. More...
Property< std::string > | error

## Detailed Description

### template<typename T>
class qi::TaskCall< T >

Task wrapper over a function of return type T

Definition at line 18 of file task-call.hpp.

## Constructor & Destructor Documentation

template<typename T >

qi::TaskCall< T >::TaskCall | ( | AnyFunction | f | ) |
| inline

Definition at line 21 of file task-call.hpp.

## Member Function Documentation

template<typename T >

virtual bool qi::TaskCall< T >::interrupt | ( |  | ) |
| inline virtual

Ask the task to interrupt itself.

Returns
  true if the request was successful. Does not imply that the Task is effectively stopped, but that it will eventually stop.

Implements qi::Task.

Definition at line 26 of file task-call.hpp.

template<typename T >

virtual void qi::TaskCall< T >::start | ( | const AnyVarArguments & | args | ) |
| inline virtual

Definition at line 27 of file task-call.hpp.

## Member Data Documentation

template<typename T >

AnyFunction qi::TaskCall< T >::_f

Definition at line 50 of file task-call.hpp.

template<typename T >

GenericProperty qi::TaskCall< T >::result

Definition at line 49 of file task-call.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqicore/libqicore/qicore/task-call.hpp